org.eclipse.emf.cdo.eresource

## Interface CDOTextResource

- All Superinterfaces:
    CDOFileResource<java.io.Reader>, CDOObject, CDOResourceLeaf, CDOResourceNode, CDOWithID, EObject, Notifier
  All Known Implementing Classes:
    CDOTextResourceImpl

      public interface CDOTextResource
      extends CDOFileResource<java.io.Reader>

  A representation of the model object 'CDO Text Resource'.
  Since:
    4.1
  See Also:
    `EresourcePackage.getCDOTextResource()`
  Generated
  Model
    superTypes="org.eclipse.emf.cdo.eresource.CDOFileResource<org.eclipse.emf.cdo.etypes.Reader>"
  No Implement
    This interface is not intended to be implemented by clients.

    The following features are supported:

    - `Contents`
    - `Encoding`
  No Extend
    This interface is not intended to be extended by clients.

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.eresource.CDOResourceNode

      `ROOT_NAME, ROOT_PATH`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOClob` | `getContents()` Returns the value of the 'Contents' attribute.
    `java.lang.String` | `getEncoding()` Returns the value of the 'Encoding' attribute.
    `void` | `setContents(CDOClob value)` Sets the value of the '`Contents`' attribute.
    `void` | `setEncoding(java.lang.String value)` Sets the value of the '`Encoding`' attribute.

    - ### Methods inherited from interface org.eclipse.emf.cdo.eresource.CDOResourceNode

      `delete, getExtension, getFolder, getName, getPath, getURI, isRoot, setFolder, setName, setPath, trimExtension`

    - ### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

      `cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getContents

          CDOClob getContents()

      Returns the value of the 'Contents' attribute.

      If the meaning of the 'Contents' attribute isn't clear, there really should be more of a description here...

      Specified by:
        `getContents` in interface `CDOFileResource<java.io.Reader>`
      Returns:
        the value of the 'Contents' attribute.
      See Also:
        `setContents(CDOClob)`, `EresourcePackage.getCDOTextResource_Contents()`
      Generated
      Model
        dataType="org.eclipse.emf.cdo.etypes.Clob" required="true" transient="true" annotation="http://www.eclipse.org/emf/CDO persistent='true'"

    - #### setContents

          void setContents(CDOClob value)

      Sets the value of the '`Contents`' attribute.
      Parameters:
        `value` - the new value of the 'Contents' attribute.
      See Also:
        `getContents()`
      Generated

    - #### getEncoding

          java.lang.String getEncoding()

      Returns the value of the 'Encoding' attribute.

      If the meaning of the 'Encoding' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Encoding' attribute.
      Since:
        4.2
      See Also:
        `setEncoding(String)`, `EresourcePackage.getCDOTextResource_Encoding()`
      Generated
      Model

    - #### setEncoding

          void setEncoding(java.lang.String value)

      Sets the value of the '`Encoding`' attribute.
      Parameters:
        `value` - the new value of the 'Encoding' attribute.
      Since:
        4.2
      See Also:
        `getEncoding()`
      Generated

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html